# area

#### new area(selection)

Constructor

Source:
  - component/area.js, line 55

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) color(_v) → {*}

Color Getter / Setter

Source:
  - component/area.js, line 195

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Color (e.g. "red" or "#ff0000").

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/area.js, line 159

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D Object dimensions.

##### Returns:

Type:
  `*`

#### (static) smoothed() → {*}

Smooth Interpolation Getter / Setter

Options: d3.curveBasis d3.curveLinear d3.curveMonotoneX

Source:
  - component/area.js, line 212

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v.` | `d3.curve` |

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/area.js, line 171

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/area.js, line 183

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`